/* @(#)Z 1.6 com/src/include/c/ODTypes.h, odcore, od96os2, odos29712d 97/03/21 17:21:12 (97/03/14 17:00:48) */
/*====START_GENERATED_PROLOG======================================
 */
/*
 *   COMPONENT_NAME: odcore
 *
 *   CLASSES: none
 *
 *   ORIGINS: 82,27
 *
 *
 *   (C) COPYRIGHT International Business Machines Corp. 1995,1996
 *   All Rights Reserved
 *   Licensed Materials - Property of IBM
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *   	
 *   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
 *   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 *   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
 *   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 *   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
 *   OR PERFORMANCE OF THIS SOFTWARE.
 */
/*====END_GENERATED_PROLOG========================================
 */
/*
	File:		ODTypes.h

	Contains:	Central type-declaration header for OpenDoc

	Owned by:	Richard Rodseth

	Copyright:	(C) 1994 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

           22154 5/20/96  LAW  include ODDebug.h on all platforms

		 <3>	  9/6/95	RR		#1231656 Moved constants to StdDef.idl
		 <2>	 2/14/95	jpa		Don't include ODTypesB.xh in non-C++ case!
									[1216470]
		 <1>	 1/25/95	jpa		first checked in
								 ---Moved to ODSOM:Interfaces:Handmade:
		 <4>	 1/13/95	RR		Include GeoTypes before ODTypesM.xh
		 <3>	 6/15/94	jpa		Moved ODTypesF.h before ODTypesM.xh.
		 <2>	 5/23/94	RR		Include GeoTypes and Polygon

	To Do:
	
	In Progress:
		
*/

/* This file is handmade, not generated from IDL. */

#ifndef _ODTYPES_
#define _ODTYPES_

#ifndef _ODTYPESF_
#include <ODTypesF.h>	
#endif

#ifdef __cplusplus

	#ifndef SOM_Module_OpenDoc_Global_TypesB_defined
	#include <ODTypesB.xh>
	#endif
	
	#ifndef SOM_Module_OpenDoc_GeoTypes_defined
	#include <GeoTypes.xh>	
	#endif
	
	#ifndef SOM_Module_OpenDoc_Global_Types_defined
	#include <ODTypesM.xh>
	#endif

	#ifndef SOM_Module_OpenDoc_StdDefs_defined
	#include <StdDefs.xh>
	#endif
	
	#ifndef SOM_Module_OpenDoc_Polygon_defined
	#include <Polygon.xh>	
	#endif

#else

	#ifndef SOM_Module_OpenDoc_Global_TypesB_defined
	#include <ODTypesB.h>
	#endif
	
	#ifndef SOM_Module_OpenDoc_GeoTypes_defined
	#include <GeoTypes.h>	
	#endif
	
	#ifndef SOM_Module_OpenDoc_Global_Types_defined
	#include <ODTypesM.h>
	#endif

	#ifndef SOM_Module_OpenDoc_StdDefs_defined
	#include <StdDefs.h>
	#endif
	
	#ifndef SOM_Module_OpenDoc_Polygon_defined
	#include <Polygon.h>	
	#endif
	
#endif


#endif // _ODTYPES_
